Skip to content

Apply Drop-in Session

  • Endpoint: POST /aggregate-pay/api/gateway/applyDropinSession(for-auth-capture-copy-me)
  • Tags: 收单/Auth-Capture

Description

在商户服务端调用该接口,获取用于初始化前置组件的主要参数

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesmaxLength: 8接口版本 当前值为:1.6
keyVersionstringYesmaxLength: 8密钥版本 当前值为:1
requestTimestringYesmaxLength: 32请求时间,符合rfc3339规范,格式:yyyy-MM-dd'T'HH:mm:ss.SSSXXX 时间需要在当前时间两分钟内
appIdstringYesmaxLength: 64商户应用Id,PayerMax分配给商户应用的唯一标识
merchantNostringNomaxLength: 32商户号,商户与PayerMax业务签约时生成的唯一标识
dataobjectYes
data.totalAmountstringNo非必填,如果需要传值,则只有传了mitType时,totalAmount才支持传0;其他情况需要大于0
data.mitTypestringNo签约代扣产品后,可传mitTypeSCHEDULED, UNSCHDULED
data.captureModestringNoMANUAL
data.authorizationTypestringNoFINAL_AUTH
data.currencystringYesmaxLength: 3标价币种,大写字母,参见【交易支持国家/地区与币种】
data.countrystringYesmaxLength: 2国家代码,大写字母,参见【交易支持国家/地区与币种】。 如指定了paymentMethodType,则国家代码必须上送且和支付方式对应国家匹配。 收银台可用国家地区选择策略为:上送国家代码地区>用户历史使用国家代码地区>用户IP所在国家代码地区。(可用国家地区:交易币种对应的国家与签约国家取交集)
data.userIdstringYesmaxLength: 64商户内部的用户Id,需要保证每个ID唯一性。支付方式绑定后会根据userId进行支付方式推荐
data.referralCodestringNomaxLength: 32用于更精准的支付方式推荐,如设备ID、设备指纹等。
data.componentListarray[string]No如:CARD,APPLEPAY

Example

json
{
  "version": "1.1",
  "keyVersion": "1",
  "requestTime": "2022-01-17T09:05:52.194+00:00",
  "appId": "3b242b56a8b64274bcc37dac281120e3",
  "merchantNo": "020213827212251",
  "data": {
    "currency": "IDR",
    "country": "ID",
    "userId": "U10001",
    "captureMode": "MANUAL",
    "authorizationType": "FINAL_AUTH",
    "componentList": [
      "CARD",
      "APPLEPAY"
    ]
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYes
msgstringYes
dataobjectYes
data.sessionKeystringYesDrop-in
data.clientKeystringYes前端SDK初始化参数
data.notSupportedComponentarray[string]Yes

Response Example

json
{
  "code": "APPLY_SUCCESS",
  "msg": "Success.",
  "data": {
    "clientKey": "37114858239eur2384237r810482390",
    "sessionKey": "bdsf8982348974hhf82934bf8239424",
    "notSupportedComponent": []
  }
}

Enum Reference

data.mitType

  • SCHEDULED
  • UNSCHDULED

此页面的内容有帮助吗?

感谢您帮助改进 PayerMax 产品文档!

Released under the MIT License.